package com.jeeplus.sys.feign;

import com.alibaba.fastjson.JSON;
import com.jeeplus.sys.domain.DictValue;
import com.jeeplus.sys.service.DictTypeService;
import com.jeeplus.sys.service.DictValueService;
import com.jeeplus.sys.service.dto.DictValueDTO;
import com.jeeplus.sys.utils.DictUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class DictApiImpl implements IDictApi {
    @Autowired
    private DictValueService dictValueService;


    @Override
    public String getDictValue(String label, String type, String defaultValue) {
        return DictUtils.getDictValue ( label, type, defaultValue );
    }

    @Override
    public String getDictLabel(String value, String type, String defaultLabel) {
        return DictUtils.getDictLabel ( value, type, defaultLabel );
    }

    @Override
    public String getDictMap(String dict) {
        return JSON.toJSONString(DictUtils.getDictMap().get(dict));
    }

    @Override
    public DictValue queryDictValue(String dictValueId) {
        DictValue dictValue = dictValueService.findById(dictValueId);
        return dictValue;
    }
}
